package com.nisum.myteam.repository;

import java.util.List;

import org.bson.types.ObjectId;
import org.springframework.data.mongodb.repository.MongoRepository;

import com.nisum.myteam.model.dao.Billing;

public interface BillingRepo extends MongoRepository<Billing, String> {

	List<Billing> findByProjectId(String projectId);

	List<Billing> findByEmployeeId(String employeeId);

	Billing findById(ObjectId id);

	List<Billing> findByEmployeeIdAndProjectId(String employeeId, String projectId);

}
